import { Link, useNavigate } from 'react-router-dom';
import menuIcon from '../assets/icons/menu-icon.svg';
import { useState } from 'react';

const Navbar = () => {
  const navigate = useNavigate();
  const [levelsShown, setLevelsShown] = useState(false);

  return (
    <nav className="bg-primary-main">
      <div className="p-2">
        <div className="flex justify-end">
          <Link to="/levels">
            <img
              src={menuIcon}
              onClick={() => {
                setLevelsShown(!levelsShown);
                console.log(levelsShown);
                const page = levelsShown ? '/intro' : '/levels';
                console.log(page);
                navigate(page);
              }}
            />
          </Link>
        </div>
      </div>
    </nav>
  );
};

export default Navbar;
