export default {
  content: ['./src/**/*.{js,jsx,ts,tsx}'],
  theme: {
    extend: {
      colors: {
        primary: {
          light: '#65a30d',
          main: '#3f6212',
          dark: '#365314',
        },
        beige: {
          light: '#e3c99f',
          main: '#d7b377',
          dark: '#ac8f5f',
        },
        red: {
          main: '#9e2a2b',
        },
        yellow: {
          main: '#facc15',
        },
        gray: {
          main: '#d6d3d1',
          dark: '#a8a29e',
        },
      },
      fontFamily: {
        speech: ["'Indie Flower'", 'cursive'],
        primary: ["'Ysabeau SC'", 'sans-serif'],
      },
    },
  },
  plugins: [],
};
